# Interface methods for submodule: FunctionAndGradientEvaluationIterationEvent
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import IterationEventProxy as _IterationEventProxy


# Interface methods for class: FunctionAndGradientEvaluationIterationEvent
class FunctionAndGradientEvaluationIterationEventProxy(_IterationEventProxy):
	def GetEventName(self):
		""""""
		...

	def CheckEvent(self, e) -> bool:
		""""""
		...

	def MakeObject(self):
		""""""
		...

